Package org.springframework.security.authorization

# Class AuthorityAuthorizationDecision

java.lang.Object
org.springframework.security.authorization.AuthorizationDecision
org.springframework.security.authorization.AuthorityAuthorizationDecision

All Implemented Interfaces:
  `Serializable`, `AuthorizationResult`

public class AuthorityAuthorizationDecision extends AuthorizationDecision
Represents an `AuthorizationDecision` based on a collection of authorities

Since:
  5.6
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthorityAuthorizationDecision(boolean granted, Collection<GrantedAuthority> authorities)`

## Method Summary

Modifier and Type
Method
Description
`Collection<GrantedAuthority>`
`getAuthorities()`
`String`
`toString()`

### Methods inherited from class org.springframework.security.authorization.AuthorizationDecision

`isGranted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorityAuthorizationDecision

public AuthorityAuthorizationDecision(boolean granted, Collection<GrantedAuthority> authorities)

## Method Details

### getAuthorities

public Collection<GrantedAuthority> getAuthorities()

### toString

public String toString()

Overrides:
  `toString` in class `AuthorizationDecision`